[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ghc6 includes a copy of GMP, with GNU docs, with non-free GFDL docs



On Wed, Jan 14, 2009 at 11:29:21AM +0200, Eugene V. Lyubimkin wrote:
> Kari Pahula wrote:
> > The usual thing to do would be to repackage the upstream tarball and
> > slap on a +dfsg1 on the version.  However, that would make it
> > necessary to rebuild all haskell libraries since they all have a
> > dependency "ghc6 (< 6.8.2+)".
> Just my 2 cents:
> Maybe, 6.8.2dfsg1? This is (< 6.8.2+) according to dpkg --compare-versions.

$ dpkg --compare-versions '6.8.2+' '>' '6.8.2dfsg1-1' && echo check
check
$ dpkg --compare-versions '6.8.2' '<' '6.8.2dfsg1' && echo check
check
$ dpkg --compare-versions '6.8.2-7' '<' '6.8.2dfsg1-1' && echo check
check
$ dpkg --compare-versions '+' '>' 'dfsg1' && echo check
check

Well, that's a relief!  That's what I'll do, then.  Thank you very
much.

That'll still leave a few libraries that have "ghc6 (< 6.8.2-999)",
but those should be fixable with simple binNMUs.  Already much more
manageable.

Attachment: signature.asc
Description: Digital signature


Reply to: